// receiver.pde
//
// Simple example of how to use VirtualWire to receive messages
// Implements a simplex (one-way) receiver with an Rx-B1 module
//
// See VirtualWire.h for detailed API docs
// Author: Mike McCauley (mikem@airspayce.com)
// Copyright (C) 2008 Mike McCauley
// $Id: receiver.pde,v 1.3 2009/03/30 00:07:24 mikem Exp $
// data on pin 11
// l'émission du code N correspond à la réception buf[i]=48+N 

#include <VirtualWire.h>




void setup()
{

  pinMode(13, OUTPUT);
    Serial.begin(9600);	// Debugging only
    Serial.println("setup");
 digitalWrite(13,LOW );
    // Initialise the IO and ISR
    vw_set_ptt_inverted(true); // Required for DR3100
    vw_setup(2000);	 // Bits per sec

    vw_rx_start();       // Start the receiver PLL running
}

void loop()
{
    uint8_t buf[VW_MAX_MESSAGE_LEN];
    uint8_t buflen = VW_MAX_MESSAGE_LEN;

    if (vw_get_message(buf, &buflen)) // Non-blocking
    {
	int i;

    
	// Message with a good checksum received, dump it.
	Serial.print("Got: ");
	
	for (i = 0; i < buflen; i++)
	{
	    Serial.print(buf[i], DEC);
	    Serial.print(" ");
      if ( buf[i]==49) digitalWrite(13, HIGH);
      if ( buf[i]==48) digitalWrite(13, LOW);
     
	}
	Serial.println("");
      
    }
}
